Browse Source

Drop KUBE_API_PORT for kube-apiserver

From k8s v1.19.x, kube-apiserver binary can't accept any parameter,
and actually we're not using the pass-in KUBE_API_PORT. So it's
safe to drop it.

Change-Id: I12a0bb3441d18c3b68a8db4ab3234e04e5218cd2
changes/93/749893/2
Feilong Wang 11 months ago
parent
commit
662b831fc7
  1. 2
      magnum/drivers/common/templates/kubernetes/fragments/configure-kubernetes-master.sh

2
magnum/drivers/common/templates/kubernetes/fragments/configure-kubernetes-master.sh

@ -95,7 +95,7 @@ ExecStart=/bin/bash -c '/usr/bin/podman run --name kube-apiserver \\
--volume /etc/pki/tls/certs:/usr/share/ca-certificates:ro \\
\${CONTAINER_INFRA_PREFIX:-k8s.gcr.io/}hyperkube:\${KUBE_TAG} \\
kube-apiserver \\
\$KUBE_LOGTOSTDERR \$KUBE_LOG_LEVEL \$KUBE_ETCD_SERVERS \$KUBE_API_ADDRESS \$KUBE_API_PORT \$KUBELET_PORT \$KUBE_SERVICE_ADDRESSES \$KUBE_ADMISSION_CONTROL \$KUBE_API_ARGS'
\$KUBE_LOGTOSTDERR \$KUBE_LOG_LEVEL \$KUBE_ETCD_SERVERS \$KUBE_API_ADDRESS \$KUBELET_PORT \$KUBE_SERVICE_ADDRESSES \$KUBE_ADMISSION_CONTROL \$KUBE_API_ARGS'
ExecStop=-/usr/bin/podman stop kube-apiserver
Delegate=yes
Restart=always

Loading…
Cancel
Save